# DaprProtos.GetActorStateRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.GetActorStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetActorStateRequest`, `DaprProtos.GetActorStateRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetActorStateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`String` `getKey()` `string key = 3;`
`com.google.protobuf.ByteString` `getKeyBytes()` `string key = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getActorType

    String getActorType()

`string actor_type = 1;`

Returns:
  The actorType.

#### getActorTypeBytes

    com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Returns:
  The bytes for actorType.

#### getActorId

    String getActorId()

`string actor_id = 2;`

Returns:
  The actorId.

#### getActorIdBytes

    com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Returns:
  The bytes for actorId.

#### getKey

    String getKey()

`string key = 3;`

Returns:
  The key.

#### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

`string key = 3;`

Returns:
  The bytes for key.